
Redmine - Feature #20603

Keep compatibility with Rails 4.1 to support SQL Server < 2012

2015-08-24 16:26 - Etienne Massip

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

It would allow Redmine to be compatible with SQL Server 2005 to 2008R2 until Rails 5 makes his way out and 4.1 branch gets

unmaintained.

<copy/paste from #14534#note-46 >

As Toshi noticed (Redmine 3.0 problem with MSSQL 2008) they chose to break compatibility with MSSQL < 2012 which is a bit

brutal.

Specifying Rails ~> 4.1 in Gemfile seems to do the trick with trunk @ r14520, do you know if some of the changes that were made

when switching from 4.1 to 4.2 aren't 4.1 compatible?

</copy/paste>

I don't think there are plans for using Rails 4.2 features, any idea?

History

#1 - 2015-08-24 16:27 - Etienne Massip

- Description updated

#2 - 2015-09-16 11:49 - Toshi MARUYAMA

- File test.log.txt added

I tried "rake test" on trunk r14589 Ruby 1.9.3 sqlite3 with this change.

diff --git a/Gemfile b/Gemfile

--- a/Gemfile

+++ b/Gemfile

@@ -4,7 +4,8 @@ if Gem::Version.new(Bundler::VERSION) <

   abort "Redmine requires Bundler 1.5.0 or higher (you're using #{Bundler::VERSION}).\nPlease update with 'ge

m update bundler'." 

 end

-gem "rails", "4.2.4" 

+gem "rails", "~> 4.1.13" 

+gem "loofah" 

 gem "jquery-rails", "~> 3.1.3" 

 gem "coderay", "~> 1.1.0" 

 gem "builder", ">= 3.0.4" 

 I got many test failures.

How do you deal?

#3 - 2021-08-28 10:04 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The currently active versions of Redmine require Rails 5.2. And ActiveRecord SQL Server Adapter for Rails 5.2 only supports Microsoft SQL Server

>= 2012. So, it is impossible to support older versions of MS SQL Server.

2025-05-17 1/2

https://www.redmine.org/issues/14534#note-46
https://www.redmine.org/boards/2/topics/45925
https://www.redmine.org/projects/redmine/repository/svn/revisions/14520
https://www.redmine.org/projects/redmine/repository/svn/revisions/14589
